Skip to main content
GET
/
v2
/
event-types
/
{eventTypeId}
/
private-links
Get all private links for an event type
curl --request GET \
  --url https://api.cal.com/v2/event-types/{eventTypeId}/private-links \
  --header 'Authorization: <authorization>' \
  --header 'cal-api-version: <cal-api-version>'
import requests

url = "https://api.cal.com/v2/event-types/{eventTypeId}/private-links"

headers = {
"cal-api-version": "<cal-api-version>",
"Authorization": "<authorization>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'cal-api-version': '<cal-api-version>', Authorization: '<authorization>'}
};

fetch('https://api.cal.com/v2/event-types/{eventTypeId}/private-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": [
    {
      "linkId": "abc123def456",
      "eventTypeId": 123,
      "isExpired": false,
      "bookingUrl": "https://cal.com/d/abc123def456",
      "expiresAt": "2025-12-31T23:59:59.000Z"
    }
  ]
}

Headers

cal-api-version
string
default:2024-09-04
required

Must be set to 2024-09-04. Returns the full booking URL including org slug and event slug.

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

Path Parameters

eventTypeId
number
required

Response

200 - application/json
status
string
required

Response status

Example:

"success"

data
object[]
required

Array of private links for the event type (mix of time-based and usage-based)